Parallel use both of national specific characters and of "& # nnn ;"
Closed, ResolvedPublic

Description

Author: gangleri

Description:
Dear friends, with my browser I can not see the page
http://en.wikipedia.org/wiki/Norse_saga correctly.

For reasons not known to me this site is using both (some of)
the special characters specific for the Icelandic language
ÁáÐðÉéÍíÓóÚúÝýÞþÆæÖö and characters coded as "& # nnn ;".

With my browser the characters suposed to be generated
with "& # nnn ;" are not displayed properly.
This issue cloud be generall for many articles / pages and
could be corrected either manualy or with a bot, or with a
code correction (if this behavior is a bug).

According to me there are some content errors as well
(depending if old or new ortography was intended to be used;
to my knowledge in old writing additional characters where
available too).

The article (and maybe similar articles if the change was
made by a bot / code change in the past) should be reworked /
verified because
Fljótsdœla saga
Grœnlendinga saga
Hœnsa-Þóris saga
Laxdœla saga
Reykdœla saga ok Víga-Skútu
Svarfdœla saga
Vatnsdœla saga
using all "œ" = HTML "oelig" sould probably use "æ" =
HTML "aelig" .

Regardless of what solution is chosen I kindly ask you to
send me feedback with a recommendion what is allowed /
supported /recommended and what not.

Regards Reinhardt


Version: unspecified
Severity: normal
URL: http://en.wikipedia.org/w/index.php?title=Norse_saga&oldid=7690653

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz660.
bzimport created this task.Via LegacyOct 7 2004, 8:41 PM
bzimport added a comment.Via ConduitOct 7 2004, 8:47 PM

gangleri wrote:

Add CC: reinhardt.wiewe@lenauschule.de Thanks!

brion added a comment.Via ConduitOct 7 2004, 9:54 PM

There seems to be some use of œ and numbered unicode characters outside of the latin-1 range. These characters, written as
named or numbered character references, are fine in text on the Latin-1-based English wikipedia (en.wikipedia.org) but do not
produce legal links because those characters do not exist in Latin-1 (ISO-8859-1).

The page should be cleaned up by editors.

bzimport added a comment.Via ConduitOct 7 2004, 11:20 PM

gangleri wrote:

Dear friends, I received feedback from w:en:User:Io on
w:en:User_talk:Gangleri . Following his advice I installed Mozilla /5.0
(Windows; U; Windows NT 5.1;rv:1.7.3) Gecko/20041001 Firefox/0.10.1 .

With Mozilla I could see the characters mentioned wich are old
Icelandic characters and looks like a combination of "O" / "o" and ","
as this looks like for the French "Ç" / "ç" . The usage of the
other "OElig" / "oelig" characters "Œ" / "œ" instead of
characters "Æ" / "æ" (used in modern Iceland now for these saga names)
in the text is intended by authors (because they refer to original
writings).

I agree with Brion not to use these characters as articles names /
links. Nevertheless there may be still the need to use the
[[transliterated_article_name|original_article_name]]. At the moment
[[Vǫlsunga saga]] is redirected anyhow to [[Völsunga saga]] using
actual (not ancient) Icelandic characters.

Additional note: The bug with the use of "#redirect" (all lowercase

leters) instead of "#REDIRECT" (all capital leters) wil be reported as
a separate bug.

I want to point out that because many site visitors are using MS IE
these charecters may not be visible with the coding in the article with
the actual interpretation / handling by wiki software.

Regards Reinhardt

brion added a comment.Via ConduitOct 29 2005, 1:36 AM

Considering this resolved; everything got converted to UTF-8 and the funky Windows-
CP1252 stuff got converted more or less correctly. The given page from the date of
filing seems to display ok in IE 6 now.

bzimport added a comment.Via ConduitDec 12 2005, 10:40 AM

gangleri wrote:

chanded url using &oldid, changed product, component, etc.

This is FIXED as [[en:]] is UTF-8 now.
Ǫ and ǫ are rendereding properly
[[Vǫlsunga saga]] generates properly [[Vǫlsunga saga]] (page does not exist)
http://en.wikipedia.org/w/index.php?title=Laxd%C5%93la_saga&redirect=no is a
redirect
[[Ǫrvar-Odds saga]] generates properly [[Ǫrvar-Odds saga]]

The database contains some deleted pages (redirects?)
http://en.wikipedia.org/w/index.php?title=S%C3%87%C2%ABgubrot_af_fornkonungum
http://en.wikipedia.org/w/index.php?title=V%C3%87%C2%ABlsunga_saga

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.